# Media::Runner

MediaRunner is a simple command line interface for OSX that helps you run your series and movies conveniently in VLC media player.

## Installation

```
gem install media-runner
```

## Usage

Be sure that you have your series stored like this `/Users/#{whoami}/Movies/series/SERIESNAME/EPISODENAME`, and your movies like this `/Users/#{whoami}/Movies/movies/MOVIENAME`.

### Run series

Lets say you have `/Users/#{whoami}/Movies/series/gameofthrones/101.mp4`, then you can run it like this:

```
media-runner series gameofthrones 101
``` 

### Run movie

Lets say you have `/Users/#{whoami}/Movies/movie/thegreatgatsby.mp4`, then you can run it like this:

```
media-runner movie thegreatgatsby
``` 

## Development

After checking out the repo, run `bin/setup` to install dependencies. Then, you can run `bin/check` to run the tests and the code linters. You can also run `bin/console` for an interactive prompt that will allow you to experiment.

To install this gem onto your local machine, run `bundle exec rake install`.

## Contributing

Bug reports and pull requests are welcome on GitHub at https://github.com/nicolaseckhart/media-runner. This project is intended to be a safe, welcoming space for collaboration, and contributors are expected to adhere to the [Contributor Covenant](http://contributor-covenant.org) code of conduct.

## License

The gem is available as open source under the terms of the [MIT License](http://opensource.org/licenses/MIT).

